<template>
    <InnerLayout>
        <template>
            <div v-if="category.success">
                <bread-crumb :breadcrumbs="category.bread_crumbs" :category_name="category.name"></bread-crumb>
            </div>
            <section class="page_content">

                <div class="container" v-if="category.is_parent_category">
                    <div class="sub_cat_box" v-if="child_categories.length>0">
                        <div class="row">

                            <div class="col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2 text-center" v-for="(child, x) in child_categories" :key="x" :id="child.link_rewrite" >
                                <div class="sub_cat_container">
                                <a :href="`/${location}/${category.link_rewrite}/${child.link_rewrite}`">
                                        <div class="sub_cat_item">
                                            <img v-if="child.file_upload.length > 0"
                                    :alt="(child.file_upload[0]['alt_text'] != null && child.file_upload[0]['alt_text'] != '') ? child.file_upload[0]['alt_text'] : child['name']"
                                    :title="(child.file_upload[0]['title'] != null && child.file_upload[0]['title'] != '') ? child.file_upload[0]['title'] : child.name"
                                    :src="`${options.storage_root}/${child.file_upload[0]['upload']['uploaded_path']}`" />
                                        </div>
                                        <h3> {{ child.name }}</h3>
                                    </a>


                            </div>
                            </div>


                        </div>
                    </div>
                </div>
                <div class="container d-block d-sm-none" v-if="category.is_parent_category">

                  <v-slide-group class="sub_sliders"
      multiple
      show-arrows  v-if="child_categories.length>0"
    >


    <v-slide-item v-for="(child, x) in child_categories" :key="x" :id="child.link_rewrite" class="" >
                    <v-sheet height="100%" tile>
                        <div class="sub_cat_container pt-4 pb-4 mb-2">
                                <a :href="`/${location}/${category.link_rewrite}/${child.link_rewrite}`">
                                        <div class="sub_cat_item">
                                            <img v-if="child.file_upload.length > 0"
                                    :alt="(child.file_upload[0]['alt_text'] != null && child.file_upload[0]['alt_text'] != '') ? child.file_upload[0]['alt_text'] : child['name']"
                                    :title="(child.file_upload[0]['title'] != null && child.file_upload[0]['title'] != '') ? child.file_upload[0]['title'] : child.name"
                                    :src="`${options.storage_root}/${child.file_upload[0]['upload']['uploaded_path']}`" />
                                        </div>
                                        <h3> {{ child.name }}</h3>
                                    </a>


                            </div>

                                </v-sheet>
                            </v-slide-item>
                </v-slide-group>
                </div>
                <div v-if="category.success">
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
                                <div class="edit_link" v-show="auth_check">
                                    <span @click="moveToCategoryEdit()">Edit</span>
                                </div>
                                <h1>{{ category.name }}</h1>
                                <h2 v-if="category.subtitle!=null">{{ category.subtitle }}</h2>
                                <div class="cat_desc">
                                    <div v-html="category.description"></div>
                                </div>

                            </div>
                            <div class="col-12">

                                <product-list :list="category.products"
                                    :pricings="category.pricing_location"></product-list>

                            </div>
                            <div class="col-12">
                                <div class="cat_cont_btm">
                                    <div class="h3" v-if="category.subtitle!=null">{{ category.subtitle }}</div>
                                    <div v-html="category.bottom_description"></div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div v-else>
                    <div class="container">
                        <div class="v-row">
                            <div class="col-12">
                                <h1>{{ category.name }}</h1>
                                <h2 v-if="category.subtitle!=null">{{ category.subtitle }}</h2>
                                <h5 class="pl-4">{{ category.msg }}</h5>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </template>
    </InnerLayout>
</template>
<script>
import BreadCrumb from '~/components/front-end/bread-crumb.vue';
import InnerLayout from '~/layouts/inner.vue';
import ProductList from '~/components/front-end/product-detail/product-list.vue';
import options from '~/assets/options';
import { cloneDeep } from 'lodash';
export default {
    components: { InnerLayout, ProductList, BreadCrumb },
    props: ['category'],
    data() {
        return {
            options: options,
            auth_check: Boolean(this.$store.state.front_end_data.auth_check),
            category_options: this.$store.state.front_end_data.category_options,
            location: this.$store.state.front_end_data.location_name,
            child_categories:(this.category.is_parent_category) ? cloneDeep(this.$store.state.front_end_data.category_options).filter(xy=>xy.id==this.category.id)[0]['child_categories'] : [],
        }
    },
    mounted() {
    },
    methods: {
        moveToCategoryEdit() {
            window.open(options.API_URL + '/admin/category/' + this.category.id);
        },
    },
}
</script>

